> ## Documentation Index
> Fetch the complete documentation index at: https://docs.samplehc.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit electronic claim

> Submits an electronic claim for processing. The submission is handled asynchronously, and this endpoint returns an identifier to track the status of the claim submission.



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/samplehc/openapi.documented.yml post /api/v2/clearinghouse/claim
openapi: 3.0.3
info:
  title: Sample Healthcare API
  description: API for Sample Healthcare
  version: 1.0.0
servers: []
security: []
paths:
  /api/v2/clearinghouse/claim:
    post:
      tags:
        - Clearinghouse
      summary: Submit electronic claim
      description: >-
        Submits an electronic claim for processing. The submission is handled
        asynchronously, and this endpoint returns an identifier to track the
        status of the claim submission.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                controlNumber:
                  type: string
                tradingPartnerServiceId:
                  type: string
                  minLength: 1
                submitter:
                  type: object
                  properties:
                    organizationName:
                      type: string
                      minLength: 1
                      maxLength: 60
                    lastName:
                      type: string
                      minLength: 1
                      maxLength: 60
                    firstName:
                      type: string
                      minLength: 1
                      maxLength: 35
                    middleName:
                      type: string
                      minLength: 1
                      maxLength: 25
                    submitterIdentification:
                      type: string
                      minLength: 2
                      maxLength: 80
                    contactInformation:
                      type: object
                      properties:
                        name:
                          type: string
                        phoneNumber:
                          type: string
                        faxNumber:
                          type: string
                        email:
                          type: string
                        phoneExtension:
                          type: string
                      additionalProperties: false
                  required:
                    - contactInformation
                  additionalProperties: false
                receiver:
                  type: object
                  properties:
                    organizationName:
                      type: string
                      minLength: 1
                  required:
                    - organizationName
                  additionalProperties: false
                subscriber:
                  type: object
                  properties:
                    memberId:
                      type: string
                      minLength: 2
                      maxLength: 80
                    ssn:
                      type: string
                      pattern: ^\d{9}$
                    paymentResponsibilityLevelCode:
                      type: string
                      enum:
                        - A
                        - B
                        - C
                        - D
                        - E
                        - F
                        - G
                        - H
                        - P
                        - S
                        - T
                        - U
                    organizationName:
                      type: string
                    insuranceTypeCode:
                      type: string
                      enum:
                        - '12'
                        - '13'
                        - '14'
                        - '15'
                        - '16'
                        - '41'
                        - '42'
                        - '43'
                        - '47'
                    subscriberGroupName:
                      type: string
                    firstName:
                      type: string
                    lastName:
                      type: string
                    middleName:
                      type: string
                    suffix:
                      type: string
                    gender:
                      type: string
                      enum:
                        - M
                        - F
                        - U
                    dateOfBirth:
                      type: string
                      pattern: ^\d{4}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01])$
                    policyNumber:
                      type: string
                    groupNumber:
                      type: string
                    address:
                      type: object
                      properties:
                        address1:
                          type: string
                        address2:
                          type: string
                        city:
                          type: string
                        state:
                          type: string
                        postalCode:
                          type: string
                        countryCode:
                          type: string
                        countrySubDivisionCode:
                          type: string
                      required:
                        - address1
                        - city
                      additionalProperties: false
                    contactInformation:
                      type: object
                      properties:
                        name:
                          type: string
                        phoneNumber:
                          type: string
                        faxNumber:
                          type: string
                        email:
                          type: string
                        phoneExtension:
                          type: string
                      required:
                        - name
                      additionalProperties: false
                  additionalProperties: false
                dependent:
                  type: object
                  properties:
                    firstName:
                      type: string
                    lastName:
                      type: string
                    middleName:
                      type: string
                    suffix:
                      type: string
                    gender:
                      type: string
                      enum:
                        - M
                        - F
                        - U
                    dateOfBirth:
                      type: string
                      pattern: ^\d{4}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01])$
                    ssn:
                      type: string
                      pattern: ^\d{9}$
                    memberId:
                      type: string
                    relationshipToSubscriberCode:
                      type: string
                      enum:
                        - '01'
                        - '19'
                        - '20'
                        - '21'
                        - '39'
                        - '40'
                        - '53'
                        - G8
                    address:
                      type: object
                      properties:
                        address1:
                          type: string
                        address2:
                          type: string
                        city:
                          type: string
                        state:
                          type: string
                        postalCode:
                          type: string
                        countryCode:
                          type: string
                        countrySubDivisionCode:
                          type: string
                      required:
                        - address1
                        - city
                      additionalProperties: false
                    contactInformation:
                      type: object
                      properties:
                        name:
                          type: string
                        phoneNumber:
                          type: string
                        faxNumber:
                          type: string
                        email:
                          type: string
                        phoneExtension:
                          type: string
                      required:
                        - name
                      additionalProperties: false
                  required:
                    - firstName
                    - lastName
                    - gender
                    - dateOfBirth
                    - relationshipToSubscriberCode
                  additionalProperties: false
                providers:
                  type: array
                  items:
                    type: object
                    properties:
                      providerType:
                        type: string
                      npi:
                        type: string
                        pattern: ^\d{10}$
                      ssn:
                        type: string
                        pattern: ^\d{9}$
                      employerId:
                        type: string
                      commercialNumber:
                        type: string
                      locationNumber:
                        type: string
                      stateLicenseNumber:
                        type: string
                      providerUpinNumber:
                        type: string
                      taxonomyCode:
                        type: string
                        minLength: 10
                        maxLength: 10
                        pattern: ^[A-Za-z0-9]{10}$
                      firstName:
                        type: string
                      lastName:
                        type: string
                      middleName:
                        type: string
                      suffix:
                        type: string
                      organizationName:
                        type: string
                      address:
                        type: object
                        properties:
                          address1:
                            type: string
                          address2:
                            type: string
                          city:
                            type: string
                          state:
                            type: string
                          postalCode:
                            type: string
                          countryCode:
                            type: string
                          countrySubDivisionCode:
                            type: string
                        required:
                          - address1
                          - city
                        additionalProperties: false
                      contactInformation:
                        type: object
                        properties:
                          name:
                            type: string
                          phoneNumber:
                            type: string
                          faxNumber:
                            type: string
                          email:
                            type: string
                          phoneExtension:
                            type: string
                        additionalProperties: false
                    additionalProperties: false
                  minItems: 1
                  maxItems: 2147483647
                payToAddress:
                  type: object
                  properties:
                    address1:
                      type: string
                    address2:
                      type: string
                    city:
                      type: string
                    state:
                      type: string
                    postalCode:
                      type: string
                    countryCode:
                      type: string
                    countrySubDivisionCode:
                      type: string
                  required:
                    - address1
                    - city
                  additionalProperties: false
                payToPlan:
                  type: object
                  properties:
                    organizationName:
                      type: string
                    primaryIdentifierTypeCode:
                      type: string
                      enum:
                        - PI
                        - XV
                    primaryIdentifier:
                      type: string
                    address:
                      type: object
                      properties:
                        address1:
                          type: string
                        address2:
                          type: string
                        city:
                          type: string
                        state:
                          type: string
                        postalCode:
                          type: string
                        countryCode:
                          type: string
                        countrySubDivisionCode:
                          type: string
                      required:
                        - address1
                        - city
                      additionalProperties: false
                    secondaryIdentifierTypeCode:
                      type: string
                      enum:
                        - 2U
                        - FY
                        - NF
                    secondaryIdentifier:
                      type: string
                    taxIdentificationNumber:
                      type: string
                      minLength: 9
                      maxLength: 9
                  required:
                    - organizationName
                    - primaryIdentifierTypeCode
                    - primaryIdentifier
                    - address
                    - taxIdentificationNumber
                  additionalProperties: false
                payerAddress:
                  type: object
                  properties:
                    address1:
                      type: string
                    address2:
                      type: string
                    city:
                      type: string
                    state:
                      type: string
                    postalCode:
                      type: string
                    countryCode:
                      type: string
                    countrySubDivisionCode:
                      type: string
                  required:
                    - address1
                    - city
                  additionalProperties: false
                billing:
                  type: object
                  properties:
                    providerType:
                      type: string
                    npi:
                      type: string
                      pattern: ^\d{10}$
                    ssn:
                      type: string
                      pattern: ^\d{9}$
                    employerId:
                      type: string
                    commercialNumber:
                      type: string
                    locationNumber:
                      type: string
                    stateLicenseNumber:
                      type: string
                    providerUpinNumber:
                      type: string
                    taxonomyCode:
                      type: string
                      minLength: 10
                      maxLength: 10
                      pattern: ^[A-Za-z0-9]{10}$
                    firstName:
                      type: string
                    lastName:
                      type: string
                    middleName:
                      type: string
                    suffix:
                      type: string
                    organizationName:
                      type: string
                    address:
                      type: object
                      properties:
                        address1:
                          type: string
                        address2:
                          type: string
                        city:
                          type: string
                        state:
                          type: string
                        postalCode:
                          type: string
                        countryCode:
                          type: string
                        countrySubDivisionCode:
                          type: string
                      required:
                        - address1
                        - city
                      additionalProperties: false
                    contactInformation:
                      type: object
                      properties:
                        name:
                          type: string
                        phoneNumber:
                          type: string
                        faxNumber:
                          type: string
                        email:
                          type: string
                        phoneExtension:
                          type: string
                      additionalProperties: false
                  additionalProperties: false
                referring:
                  type: object
                  properties:
                    providerType:
                      type: string
                    npi:
                      type: string
                      pattern: ^\d{10}$
                    commercialNumber:
                      type: string
                    stateLicenseNumber:
                      type: string
                    providerUpinNumber:
                      type: string
                    taxonomyCode:
                      type: string
                      minLength: 10
                      maxLength: 10
                      pattern: ^[A-Za-z0-9]{10}$
                    firstName:
                      type: string
                    lastName:
                      type: string
                    middleName:
                      type: string
                    suffix:
                      type: string
                    organizationName:
                      type: string
                    address:
                      type: object
                      properties:
                        address1:
                          type: string
                        address2:
                          type: string
                        city:
                          type: string
                        state:
                          type: string
                        postalCode:
                          type: string
                        countryCode:
                          type: string
                        countrySubDivisionCode:
                          type: string
                      required:
                        - address1
                        - city
                      additionalProperties: false
                    contactInformation:
                      type: object
                      properties:
                        name:
                          type: string
                        phoneNumber:
                          type: string
                        faxNumber:
                          type: string
                        email:
                          type: string
                        phoneExtension:
                          type: string
                      additionalProperties: false
                  additionalProperties: false
                rendering:
                  type: object
                  properties:
                    providerType:
                      type: string
                    npi:
                      type: string
                      pattern: ^\d{10}$
                    commercialNumber:
                      type: string
                    locationNumber:
                      type: string
                    stateLicenseNumber:
                      type: string
                    providerUpinNumber:
                      type: string
                    taxonomyCode:
                      type: string
                      minLength: 10
                      maxLength: 10
                      pattern: ^[A-Za-z0-9]{10}$
                    firstName:
                      type: string
                    lastName:
                      type: string
                    middleName:
                      type: string
                    suffix:
                      type: string
                    organizationName:
                      type: string
                    address:
                      type: object
                      properties:
                        address1:
                          type: string
                        address2:
                          type: string
                        city:
                          type: string
                        state:
                          type: string
                        postalCode:
                          type: string
                        countryCode:
                          type: string
                        countrySubDivisionCode:
                          type: string
                      required:
                        - address1
                        - city
                      additionalProperties: false
                    contactInformation:
                      type: object
                      properties:
                        name:
                          type: string
                        phoneNumber:
                          type: string
                        faxNumber:
                          type: string
                        email:
                          type: string
                        phoneExtension:
                          type: string
                      additionalProperties: false
                  additionalProperties: false
                ordering:
                  type: object
                  properties:
                    providerType:
                      type: string
                    npi:
                      type: string
                      pattern: ^\d{10}$
                    ssn:
                      type: string
                      pattern: ^\d{9}$
                    employerId:
                      type: string
                    commercialNumber:
                      type: string
                    locationNumber:
                      type: string
                    payerIdentificationNumber:
                      type: string
                    employerIdentificationNumber:
                      type: string
                    claimOfficeNumber:
                      type: string
                    naic:
                      type: string
                    stateLicenseNumber:
                      type: string
                    providerUpinNumber:
                      type: string
                    taxonomyCode:
                      type: string
                      minLength: 10
                      maxLength: 10
                      pattern: ^[A-Za-z0-9]{10}$
                    firstName:
                      type: string
                    lastName:
                      type: string
                    middleName:
                      type: string
                    suffix:
                      type: string
                    organizationName:
                      type: string
                    address:
                      type: object
                      properties:
                        address1:
                          type: string
                        address2:
                          type: string
                        city:
                          type: string
                        state:
                          type: string
                        postalCode:
                          type: string
                        countryCode:
                          type: string
                        countrySubDivisionCode:
                          type: string
                      required:
                        - address1
                        - city
                      additionalProperties: false
                    contactInformation:
                      type: object
                      properties:
                        name:
                          type: string
                        phoneNumber:
                          type: string
                        faxNumber:
                          type: string
                        email:
                          type: string
                        phoneExtension:
                          type: string
                      additionalProperties: false
                  additionalProperties: false
                supervising:
                  type: object
                  properties:
                    providerType:
                      type: string
                    npi:
                      type: string
                      pattern: ^\d{10}$
                    ssn:
                      type: string
                      pattern: ^\d{9}$
                    employerId:
                      type: string
                    commercialNumber:
                      type: string
                    locationNumber:
                      type: string
                    stateLicenseNumber:
                      type: string
                    providerUpinNumber:
                      type: string
                    taxonomyCode:
                      type: string
                      minLength: 10
                      maxLength: 10
                      pattern: ^[A-Za-z0-9]{10}$
                    firstName:
                      type: string
                    lastName:
                      type: string
                    middleName:
                      type: string
                    suffix:
                      type: string
                    organizationName:
                      type: string
                    address:
                      type: object
                      properties:
                        address1:
                          type: string
                        address2:
                          type: string
                        city:
                          type: string
                        state:
                          type: string
                        postalCode:
                          type: string
                        countryCode:
                          type: string
                        countrySubDivisionCode:
                          type: string
                      required:
                        - address1
                        - city
                      additionalProperties: false
                    contactInformation:
                      type: object
                      properties:
                        name:
                          type: string
                        phoneNumber:
                          type: string
                        faxNumber:
                          type: string
                        email:
                          type: string
                        phoneExtension:
                          type: string
                      additionalProperties: false
                  additionalProperties: false
                tradingPartnerName:
                  type: string
                claimInformation:
                  type: object
                  properties:
                    claimFilingCode:
                      type: string
                      enum:
                        - '11'
                        - '12'
                        - '13'
                        - '14'
                        - '15'
                        - '16'
                        - '17'
                        - AM
                        - BL
                        - CH
                        - CI
                        - DS
                        - FI
                        - HM
                        - LM
                        - MA
                        - MB
                        - MC
                        - OF
                        - TV
                        - VA
                        - WC
                        - ZZ
                    propertyCasualtyClaimNumber:
                      type: string
                    claimChargeAmount:
                      type: string
                      pattern: ^\d+(\.\d{1,2})?$
                    placeOfServiceCode:
                      type: string
                      enum:
                        - '01'
                        - '02'
                        - '03'
                        - '04'
                        - '05'
                        - '06'
                        - '07'
                        - '08'
                        - '09'
                        - '10'
                        - '11'
                        - '12'
                        - '13'
                        - '14'
                        - '15'
                        - '16'
                        - '17'
                        - '18'
                        - '19'
                        - '20'
                        - '21'
                        - '22'
                        - '23'
                        - '24'
                        - '25'
                        - '26'
                        - '27'
                        - '31'
                        - '32'
                        - '33'
                        - '34'
                        - '41'
                        - '42'
                        - '49'
                        - '50'
                        - '51'
                        - '52'
                        - '53'
                        - '54'
                        - '55'
                        - '56'
                        - '57'
                        - '58'
                        - '60'
                        - '61'
                        - '62'
                        - '65'
                        - '66'
                        - '71'
                        - '72'
                        - '81'
                        - '99'
                    claimFrequencyCode:
                      type: string
                      enum:
                        - '1'
                        - '7'
                        - '8'
                    signatureIndicator:
                      type: string
                      enum:
                        - 'N'
                        - 'Y'
                    benefitsAssignmentCertificationIndicator:
                      type: string
                      enum:
                        - 'N'
                        - W
                        - 'Y'
                    releaseInformationCode:
                      type: string
                      enum:
                        - I
                        - 'Y'
                    relatedCausesCode:
                      type: array
                      items:
                        type: string
                        enum:
                          - AA
                          - EM
                          - OA
                      minItems: 1
                      maxItems: 2
                    autoAccidentStateCode:
                      type: string
                    autoAccidentCountryCode:
                      type: string
                    delayReasonCode:
                      type: string
                      enum:
                        - '1'
                        - '2'
                        - '3'
                        - '4'
                        - '5'
                        - '6'
                        - '7'
                        - '8'
                        - '9'
                        - '10'
                        - '11'
                        - '15'
                    patientAmountPaid:
                      type: string
                      pattern: ^\d+(\.\d{1,2})?$
                    fileInformation:
                      type: string
                    fileInformationList:
                      type: array
                      items:
                        type: string
                      minItems: 1
                      maxItems: 10
                    claimPricingRepricingInformation:
                      type: object
                      properties:
                        pricingMethodologyCode:
                          type: string
                          enum:
                            - '00'
                            - '01'
                            - '02'
                            - '03'
                            - '04'
                            - '05'
                            - '06'
                            - '07'
                            - '08'
                            - '09'
                            - '10'
                            - '11'
                            - '12'
                            - '13'
                            - '14'
                        repricedAllowedAmount:
                          type: string
                          pattern: ^\d+(\.\d{1,2})?$
                        repricedSavingAmount:
                          type: string
                          pattern: ^\d+(\.\d{1,2})?$
                        repricingOrganizationIdentifier:
                          type: string
                        repricingPerDiemOrFlatRateAmount:
                          type: string
                        repricedApprovedAmbulatoryPatientGroupCode:
                          type: string
                        repricedApprovedAmbulatoryPatientGroupAmount:
                          type: string
                          pattern: ^\d+(\.\d{1,2})?$
                        rejectReasonCode:
                          type: string
                          enum:
                            - T1
                            - T2
                            - T3
                            - T4
                            - T5
                            - T6
                        policyComplianceCode:
                          type: string
                          enum:
                            - '1'
                            - '2'
                            - '3'
                            - '4'
                            - '5'
                        exceptionCode:
                          type: string
                          enum:
                            - '1'
                            - '2'
                            - '3'
                            - '4'
                            - '5'
                            - '6'
                      required:
                        - pricingMethodologyCode
                        - repricedAllowedAmount
                      additionalProperties: false
                    serviceFacilityLocation:
                      type: object
                      properties:
                        organizationName:
                          type: string
                        address:
                          type: object
                          properties:
                            address1:
                              type: string
                            address2:
                              type: string
                            city:
                              type: string
                            state:
                              type: string
                            postalCode:
                              type: string
                            countryCode:
                              type: string
                            countrySubDivisionCode:
                              type: string
                          required:
                            - address1
                            - city
                          additionalProperties: false
                        npi:
                          type: string
                          pattern: ^\d{10}$
                        phoneName:
                          type: string
                        phoneNumber:
                          type: string
                        phoneExtension:
                          type: string
                        secondaryIdentifier:
                          type: array
                          items:
                            type: object
                            properties:
                              qualifier:
                                type: string
                              identifier:
                                type: string
                              otherIdentifier:
                                type: string
                            required:
                              - qualifier
                              - identifier
                            additionalProperties: false
                          minItems: 1
                          maxItems: 3
                      required:
                        - organizationName
                        - address
                      additionalProperties: false
                    deathDate:
                      type: string
                      pattern: ^\d{4}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01])$
                    patientWeight:
                      type: string
                    patientSignatureSourceCode:
                      type: boolean
                    pregnancyIndicator:
                      type: string
                      enum:
                        - 'Y'
                    claimDateInformation:
                      type: object
                      properties:
                        symptomDate:
                          type: string
                        initialTreatmentDate:
                          type: string
                        lastSeenDate:
                          type: string
                        acuteManifestationDate:
                          type: string
                        accidentDate:
                          type: string
                        lastMenstrualPeriodDate:
                          type: string
                        lastXRayDate:
                          type: string
                        hearingAndVisionPrescriptionDate:
                          type: string
                        disabilityBeginDate:
                          type: string
                        disabilityEndDate:
                          type: string
                        lastWorkedDate:
                          type: string
                        authorizedReturnToWorkDate:
                          type: string
                        admissionDate:
                          type: string
                        dischargeDate:
                          type: string
                        assumedAndRelinquishedCareBeginDate:
                          type: string
                        assumedAndRelinquishedCareEndDate:
                          type: string
                        repricerReceivedDate:
                          type: string
                        firstContactDate:
                          type: string
                      additionalProperties: false
                    claimSupplementalInformation:
                      type: object
                      properties:
                        reportInformation:
                          type: object
                          properties:
                            attachmentReportTypeCode:
                              type: string
                              enum:
                                - '03'
                                - '04'
                                - '05'
                                - '06'
                                - '07'
                                - '08'
                                - '09'
                                - '10'
                                - '11'
                                - '13'
                                - '15'
                                - '21'
                                - A3
                                - A4
                                - AM
                                - AS
                                - B2
                                - B3
                                - B4
                                - BR
                                - BS
                                - BT
                                - CB
                                - CK
                                - CT
                                - D2
                                - DA
                                - DB
                                - DG
                                - DJ
                                - DS
                                - EB
                                - HC
                                - HR
                                - I5
                                - IR
                                - LA
                                - M1
                                - MT
                                - NM
                                - OB
                                - OC
                                - OD
                                - OE
                                - OX
                                - OZ
                                - P4
                                - P5
                                - PE
                                - PN
                                - PO
                                - PQ
                                - PY
                                - PZ
                                - RB
                                - RR
                                - RT
                                - RX
                                - SG
                                - V5
                                - XP
                            attachmentTransmissionCode:
                              type: string
                              enum:
                                - AA
                                - BM
                                - EL
                                - EM
                                - FT
                                - FX
                            attachmentControlNumber:
                              type: string
                          required:
                            - attachmentReportTypeCode
                            - attachmentTransmissionCode
                          additionalProperties: false
                        reportInformations:
                          type: array
                          items:
                            type: object
                            properties:
                              attachmentReportTypeCode:
                                type: string
                                enum:
                                  - '03'
                                  - '04'
                                  - '05'
                                  - '06'
                                  - '07'
                                  - '08'
                                  - '09'
                                  - '10'
                                  - '11'
                                  - '13'
                                  - '15'
                                  - '21'
                                  - A3
                                  - A4
                                  - AM
                                  - AS
                                  - B2
                                  - B3
                                  - B4
                                  - BR
                                  - BS
                                  - BT
                                  - CB
                                  - CK
                                  - CT
                                  - D2
                                  - DA
                                  - DB
                                  - DG
                                  - DJ
                                  - DS
                                  - EB
                                  - HC
                                  - HR
                                  - I5
                                  - IR
                                  - LA
                                  - M1
                                  - MT
                                  - NM
                                  - OB
                                  - OC
                                  - OD
                                  - OE
                                  - OX
                                  - OZ
                                  - P4
                                  - P5
                                  - PE
                                  - PN
                                  - PO
                                  - PQ
                                  - PY
                                  - PZ
                                  - RB
                                  - RR
                                  - RT
                                  - RX
                                  - SG
                                  - V5
                                  - XP
                              attachmentTransmissionCode:
                                type: string
                                enum:
                                  - AA
                                  - BM
                                  - EL
                                  - EM
                                  - FT
                                  - FX
                              attachmentControlNumber:
                                type: string
                            required:
                              - attachmentReportTypeCode
                              - attachmentTransmissionCode
                            additionalProperties: false
                          minItems: 0
                          maxItems: 10
                        priorAuthorizationNumber:
                          type: string
                        referralNumber:
                          type: string
                        claimControlNumber:
                          type: string
                        cliaNumber:
                          type: string
                        repricedClaimNumber:
                          type: string
                        adjustedRepricedClaimNumber:
                          type: string
                        investigationalDeviceExemptionNumber:
                          type: string
                        claimNumber:
                          type: string
                        mammographyCertificationNumber:
                          type: string
                        medicalRecordNumber:
                          type: string
                        demoProjectIdentifier:
                          type: string
                        carePlanOversightNumber:
                          type: string
                        medicareCrossoverReferenceId:
                          type: string
                        serviceAuthorizationExceptionCode:
                          type: string
                          enum:
                            - '1'
                            - '2'
                            - '3'
                            - '4'
                            - '5'
                            - '6'
                            - '7'
                      additionalProperties: false
                    ambulanceTransportInformation:
                      type: object
                      properties:
                        patientWeightInPounds:
                          type: string
                        ambulanceTransportReasonCode:
                          type: string
                          enum:
                            - A
                            - B
                            - C
                            - D
                            - E
                        transportDistanceInMiles:
                          type: string
                        roundTripPurposeDescription:
                          type: string
                        stretcherPurposeDescription:
                          type: string
                      required:
                        - ambulanceTransportReasonCode
                        - transportDistanceInMiles
                      additionalProperties: false
                    spinalManipulationServiceInformation:
                      type: object
                      properties:
                        patientConditionCode:
                          type: string
                        patientConditionDescription1:
                          type: string
                          enum:
                            - A
                            - C
                            - D
                            - E
                            - F
                            - G
                            - M
                        patientConditionDescription2:
                          type: string
                      required:
                        - patientConditionCode
                      additionalProperties: false
                    ambulanceCertification:
                      type: array
                      items:
                        type: object
                        properties:
                          certificationConditionIndicator:
                            type: string
                            enum:
                              - 'N'
                              - 'Y'
                          conditionCodes:
                            type: array
                            items:
                              type: string
                              enum:
                                - '01'
                                - '04'
                                - '05'
                                - '06'
                                - '07'
                                - '08'
                                - '09'
                                - '12'
                            minItems: 1
                            maxItems: 5
                        required:
                          - certificationConditionIndicator
                          - conditionCodes
                        additionalProperties: false
                      minItems: 1
                      maxItems: 3
                    patientConditionInformationVision:
                      type: array
                      items:
                        type: object
                        properties:
                          codeCategory:
                            type: string
                            enum:
                              - E1
                              - E2
                              - E3
                          certificationConditionIndicator:
                            type: string
                            enum:
                              - 'N'
                              - 'Y'
                          conditionCodes:
                            type: array
                            items:
                              type: string
                              enum:
                                - L1
                                - L2
                                - L3
                                - L4
                                - L5
                            minItems: 1
                            maxItems: 5
                        required:
                          - codeCategory
                          - certificationConditionIndicator
                          - conditionCodes
                        additionalProperties: false
                      minItems: 1
                      maxItems: 3
                    claimContractInformation:
                      type: object
                      properties:
                        contractTypeCode:
                          type: string
                          enum:
                            - '01'
                            - '02'
                            - '03'
                            - '04'
                            - '05'
                            - '06'
                            - '09'
                        contractAmount:
                          type: string
                          pattern: ^\d+(\.\d{1,2})?$
                        contractPercentage:
                          type: string
                        contractCode:
                          type: string
                        termsDiscountPercentage:
                          type: string
                        contractVersionIdentifier:
                          type: string
                      required:
                        - contractTypeCode
                      additionalProperties: false
                    planParticipationCode:
                      type: string
                      enum:
                        - A
                        - B
                        - C
                    specialProgramCode:
                      type: string
                      enum:
                        - '02'
                        - '03'
                        - '05'
                        - '09'
                    homeboundIndicator:
                      type: boolean
                    epsdtReferral:
                      type: object
                      properties:
                        certificationConditionCodeAppliesIndicator:
                          type: string
                          enum:
                            - 'N'
                            - 'Y'
                        conditionCodes:
                          type: array
                          items:
                            type: string
                            enum:
                              - AV
                              - NU
                              - S2
                              - ST
                          minItems: 1
                          maxItems: 3
                      required:
                        - certificationConditionCodeAppliesIndicator
                        - conditionCodes
                      additionalProperties: false
                    anesthesiaRelatedSurgicalProcedure:
                      type: array
                      items:
                        type: string
                      minItems: 1
                      maxItems: 2
                    conditionInformation:
                      type: array
                      items:
                        type: object
                        properties:
                          conditionCodes:
                            type: array
                            items:
                              type: string
                            minItems: 1
                            maxItems: 12
                        required:
                          - conditionCodes
                        additionalProperties: false
                      minItems: 1
                      maxItems: 2
                    claimNote:
                      type: object
                      properties:
                        additionalInformation:
                          type: string
                        certificationNarrative:
                          type: string
                        goalRehabOrDischargePlans:
                          type: string
                        diagnosisDescription:
                          type: string
                        thirdPartOrgNotes:
                          type: string
                      additionalProperties: false
                    ambulancePickUpLocation:
                      type: object
                      properties:
                        address1:
                          type: string
                        address2:
                          type: string
                        city:
                          type: string
                        state:
                          type: string
                        postalCode:
                          type: string
                        countryCode:
                          type: string
                        countrySubDivisionCode:
                          type: string
                      required:
                        - address1
                        - city
                      additionalProperties: false
                    ambulanceDropOffLocation:
                      type: object
                      properties:
                        address1:
                          type: string
                        address2:
                          type: string
                        city:
                          type: string
                        state:
                          type: string
                        postalCode:
                          type: string
                        countryCode:
                          type: string
                        countrySubDivisionCode:
                          type: string
                      required:
                        - address1
                        - city
                      additionalProperties: false
                    healthCareCodeInformation:
                      type: array
                      items:
                        type: object
                        properties:
                          diagnosisTypeCode:
                            type: string
                            enum:
                              - BK
                              - ABK
                              - BF
                              - ABF
                          diagnosisCode:
                            type: string
                        required:
                          - diagnosisTypeCode
                          - diagnosisCode
                        additionalProperties: false
                      minItems: 1
                      maxItems: 12
                    serviceLines:
                      type: array
                      items:
                        type: object
                        properties:
                          assignedNumber:
                            type: string
                          serviceDate:
                            type: string
                            pattern: ^\d{4}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01])$
                          serviceDateEnd:
                            type: string
                            pattern: ^\d{4}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01])$
                          professionalService:
                            type: object
                            properties:
                              procedureIdentifier:
                                type: string
                                enum:
                                  - ER
                                  - HC
                                  - IV
                                  - WK
                              procedureCode:
                                type: string
                              procedureModifiers:
                                type: array
                                items:
                                  type: string
                                minItems: 1
                                maxItems: 4
                              description:
                                type: string
                                minLength: 1
                                maxLength: 80
                              lineItemChargeAmount:
                                type: string
                                pattern: ^\d+(\.\d{1,2})?$
                              measurementUnit:
                                type: string
                                enum:
                                  - MJ
                                  - UN
                              serviceUnitCount:
                                type: string
                              placeOfServiceCode:
                                type: string
                              compositeDiagnosisCodePointers:
                                type: object
                                properties:
                                  diagnosisCodePointers:
                                    type: array
                                    items:
                                      type: string
                                    minItems: 1
                                    maxItems: 2147483647
                                required:
                                  - diagnosisCodePointers
                                additionalProperties: false
                              emergencyIndicator:
                                type: string
                                enum:
                                  - 'Y'
                              epsdtIndicator:
                                type: string
                                enum:
                                  - 'Y'
                              familyPlanningIndicator:
                                type: string
                                enum:
                                  - 'Y'
                              copayStatusCode:
                                type: string
                                enum:
                                  - '0'
                            required:
                              - procedureIdentifier
                              - procedureCode
                              - lineItemChargeAmount
                              - measurementUnit
                              - serviceUnitCount
                              - compositeDiagnosisCodePointers
                            additionalProperties: false
                          durableMedicalEquipmentService:
                            type: object
                            properties:
                              days:
                                type: string
                              rentalPrice:
                                type: string
                              purchasePrice:
                                type: string
                              frequencyCode:
                                type: string
                                enum:
                                  - '1'
                                  - '4'
                                  - '6'
                            required:
                              - days
                              - rentalPrice
                              - purchasePrice
                              - frequencyCode
                            additionalProperties: false
                          serviceLineSupplementalInformation:
                            type: array
                            items:
                              type: object
                              properties:
                                attachmentReportTypeCode:
                                  type: string
                                  enum:
                                    - '03'
                                    - '04'
                                    - '05'
                                    - '06'
                                    - '07'
                                    - '08'
                                    - '09'
                                    - '10'
                                    - '11'
                                    - '13'
                                    - '15'
                                    - '21'
                                    - A3
                                    - A4
                                    - AM
                                    - AS
                                    - B2
                                    - B3
                                    - B4
                                    - BR
                                    - BS
                                    - BT
                                    - CB
                                    - CK
                                    - CT
                                    - D2
                                    - DA
                                    - DB
                                    - DG
                                    - DJ
                                    - DS
                                    - EB
                                    - HC
                                    - HR
                                    - I5
                                    - IR
                                    - LA
                                    - M1
                                    - MT
                                    - NM
                                    - OB
                                    - OC
                                    - OD
                                    - OE
                                    - OX
                                    - OZ
                                    - P4
                                    - P5
                                    - PE
                                    - PN
                                    - PO
                                    - PQ
                                    - PY
                                    - PZ
                                    - RB
                                    - RR
                                    - RT
                                    - RX
                                    - SG
                                    - V5
                                    - XP
                                attachmentTransmissionCode:
                                  type: string
                                  enum:
                                    - AA
                                    - BM
                                    - EL
                                    - EM
                                    - FT
                                    - FX
                                attachmentControlNumber:
                                  type: string
                              required:
                                - attachmentReportTypeCode
                                - attachmentTransmissionCode
                              additionalProperties: false
                            minItems: 1
                            maxItems: 10
                          durableMedicalEquipmentCertificateOfMedicalNecessity:
                            type: object
                            properties:
                              attachmentTransmissionCode:
                                type: string
                                enum:
                                  - AB
                                  - AD
                                  - AF
                                  - AG
                                  - NS
                            required:
                              - attachmentTransmissionCode
                            additionalProperties: false
                          ambulanceTransportInformation:
                            type: object
                            properties:
                              patientWeightInPounds:
                                type: string
                              ambulanceTransportReasonCode:
                                type: string
                                enum:
                                  - A
                                  - B
                                  - C
                                  - D
                                  - E
                              transportDistanceInMiles:
                                type: string
                              roundTripPurposeDescription:
                                type: string
                              stretcherPurposeDescription:
                                type: string
                            required:
                              - ambulanceTransportReasonCode
                              - transportDistanceInMiles
                            additionalProperties: false
                          durableMedicalEquipmentCertification:
                            type: object
                            properties:
                              certificationTypeCode:
                                type: string
                                enum:
                                  - I
                                  - R
                                  - S
                              durableMedicalEquipmentDurationInMonths:
                                type: string
                            required:
                              - certificationTypeCode
                              - durableMedicalEquipmentDurationInMonths
                            additionalProperties: false
                          ambulanceCertification:
                            type: array
                            items:
                              type: object
                              properties:
                                certificationConditionIndicator:
                                  type: string
                                  enum:
                                    - 'N'
                                    - 'Y'
                                conditionCodes:
                                  type: array
                                  items:
                                    type: string
                                    enum:
                                      - '01'
                                      - '04'
                                      - '05'
                                      - '06'
                                      - '07'
                                      - '08'
                                      - '09'
                                      - '12'
                                  minItems: 1
                                  maxItems: 5
                              required:
                                - certificationConditionIndicator
                                - conditionCodes
                              additionalProperties: false
                            minItems: 1
                            maxItems: 3
                          hospiceEmployeeIndicator:
                            type: boolean
                          conditionIndicatorDurableMedicalEquipment:
                            type: object
                            properties:
                              certificationConditionIndicator:
                                type: string
                                enum:
                                  - 'Y'
                                  - 'N'
                              conditionIndicator:
                                type: string
                                enum:
                                  - '38'
                                  - ZV
                              conditionIndicatorCode:
                                type: string
                                enum:
                                  - '38'
                                  - ZV
                            required:
                              - certificationConditionIndicator
                              - conditionIndicator
                            additionalProperties: false
                          serviceLineDateInformation:
                            type: object
                            properties:
                              prescriptionDate:
                                type: string
                                pattern: ^\d{4}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01])$
                              certificationRevisionOrRecertificationDate:
                                type: string
                                pattern: ^\d{4}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01])$
                              beginTherapyDate:
                                type: string
                                pattern: ^\d{4}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01])$
                              lastCertificationDate:
                                type: string
                                pattern: ^\d{4}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01])$
                              treatmentOrTherapyDate:
                                type: string
                                pattern: ^\d{4}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01])$
                              hemoglobinTestDate:
                                type: string
                                pattern: ^\d{4}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01])$
                              serumCreatineTestDate:
                                type: string
                                pattern: ^\d{4}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01])$
                              shippedDate:
                                type: string
                                pattern: ^\d{4}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01])$
                              lastXRayDate:
                                type: string
                                pattern: ^\d{4}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01])$
                              initialTreatmentDate:
                                type: string
                                pattern: ^\d{4}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01])$
                            additionalProperties: false
                          ambulancePatientCount:
                            type: number
                          obstetricAnesthesiaAdditionalUnits:
                            type: number
                          testResults:
                            type: array
                            items:
                              type: object
                              properties:
                                measurementReferenceIdentificationCode:
                                  type: string
                                  enum:
                                    - OG
                                    - TR
                                measurementQualifier:
                                  type: string
                                  enum:
                                    - HT
                                    - R1
                                    - R2
                                    - R3
                                    - R4
                                testResults:
                                  type: string
                              required:
                                - measurementReferenceIdentificationCode
                                - measurementQualifier
                                - testResults
                              additionalProperties: false
                            minItems: 1
                            maxItems: 5
                          contractInformation:
                            type: object
                            properties:
                              contractTypeCode:
                                type: string
                                enum:
                                  - '01'
                                  - '02'
                                  - '03'
                                  - '04'
                                  - '05'
                                  - '06'
                                  - '09'
                              contractAmount:
                                type: string
                                pattern: ^\d+(\.\d{1,2})?$
                              contractPercentage:
                                type: string
                              contractCode:
                                type: string
                              termsDiscountPercentage:
                                type: string
                              contractVersionIdentifier:
                                type: string
                            required:
                              - contractTypeCode
                            additionalProperties: false
                          serviceLineReferenceInformation:
                            type: object
                            properties:
                              repricedLineItemReferenceNumber:
                                type: string
                              adjustedRepricedLineItemReferenceNumber:
                                type: string
                              priorAuthorization:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    priorAuthorizationOrReferralNumber:
                                      type: string
                                    otherPayerPrimaryIdentifier:
                                      type: string
                                  required:
                                    - priorAuthorizationOrReferralNumber
                                  additionalProperties: false
                                minItems: 1
                                maxItems: 5
                              mammographyCertificationNumber:
                                type: string
                              clinicalLaboratoryImprovementAmendmentNumber:
                                type: string
                              referringCliaNumber:
                                type: string
                              immunizationBatchNumber:
                                type: string
                              referralNumber:
                                type: array
                                items:
                                  type: string
                                minItems: 1
                                maxItems: 5
                            additionalProperties: false
                          salesTaxAmount:
                            type: string
                          postageTaxAmount:
                            type: string
                            pattern: ^\d+(\.\d{1,2})?$
                          fileInformation:
                            type: array
                            items:
                              type: string
                            minItems: 1
                            maxItems: 10
                          additionalNotes:
                            type: string
                          goalRehabOrDischargePlans:
                            type: string
                          thirdPartyOrganizationNotes:
                            type: string
                          purchasedServiceInformation:
                            type: object
                            properties:
                              purchasedServiceProviderIdentifier:
                                type: string
                              purchasedServiceChargeAmount:
                                type: string
                            required:
                              - purchasedServiceProviderIdentifier
                              - purchasedServiceChargeAmount
                            additionalProperties: false
                          linePricingRepricingInformation:
                            type: object
                            properties:
                              pricingMethodologyCode:
                                type: string
                                enum:
                                  - '00'
                                  - '01'
                                  - '02'
                                  - '03'
                                  - '04'
                                  - '05'
                                  - '06'
                                  - '07'
                                  - '08'
                                  - '09'
                                  - '10'
                                  - '11'
                                  - '12'
                                  - '13'
                                  - '14'
                              repricedAllowedAmount:
                                type: string
                                pattern: ^\d+(\.\d{1,2})?$
                              repricedSavingAmount:
                                type: string
                                pattern: ^\d+(\.\d{1,2})?$
                              repricingOrganizationIdentifier:
                                type: string
                              repricingPerDiemOrFlatRateAmount:
                                type: string
                              repricedApprovedAmbulatoryPatientGroupCode:
                                type: string
                              repricedApprovedAmbulatoryPatientGroupAmount:
                                type: string
                                pattern: ^\d+(\.\d{1,2})?$
                              rejectReasonCode:
                                type: string
                                enum:
                                  - T1
                                  - T2
                                  - T3
                                  - T4
                                  - T5
                                  - T6
                              policyComplianceCode:
                                type: string
                                enum:
                                  - '1'
                                  - '2'
                                  - '3'
                                  - '4'
                                  - '5'
                              exceptionCode:
                                type: string
                                enum:
                                  - '1'
                                  - '2'
                                  - '3'
                                  - '4'
                                  - '5'
                                  - '6'
                            required:
                              - pricingMethodologyCode
                              - repricedAllowedAmount
                            additionalProperties: false
                          drugIdentification:
                            type: object
                            properties:
                              serviceIdQualifier:
                                type: string
                                enum:
                                  - EN
                                  - EO
                                  - HI
                                  - N4
                                  - 'ON'
                                  - UK
                                  - UP
                              nationalDrugCode:
                                type: string
                              nationalDrugUnitCount:
                                type: string
                              measurementUnitCode:
                                type: string
                                enum:
                                  - F2
                                  - GR
                                  - ME
                                  - ML
                                  - UN
                              linkSequenceNumber:
                                type: string
                              pharmacyPrescriptionNumber:
                                type: string
                            required:
                              - serviceIdQualifier
                              - nationalDrugCode
                              - nationalDrugUnitCount
                              - measurementUnitCode
                            additionalProperties: false
                          renderingProvider:
                            type: object
                            properties:
                              providerType:
                                type: string
                              npi:
                                type: string
                                pattern: ^\d{10}$
                              ssn:
                                type: string
                                pattern: ^\d{9}$
                              employerId:
                                type: string
                              commercialNumber:
                                type: string
                              locationNumber:
                                type: string
                              payerIdentificationNumber:
                                type: string
                              employerIdentificationNumber:
                                type: string
                              claimOfficeNumber:
                                type: string
                              naic:
                                type: string
                              stateLicenseNumber:
                                type: string
                              providerUpinNumber:
                                type: string
                              taxonomyCode:
                                type: string
                                minLength: 10
                                maxLength: 10
                                pattern: ^[A-Za-z0-9]{10}$
                              firstName:
                                type: string
                              lastName:
                                type: string
                              middleName:
                                type: string
                              suffix:
                                type: string
                              organizationName:
                                type: string
                              address:
                                type: object
                                properties:
                                  address1:
                                    type: string
                                  address2:
                                    type: string
                                  city:
                                    type: string
                                  state:
                                    type: string
                                  postalCode:
                                    type: string
                                  countryCode:
                                    type: string
                                  countrySubDivisionCode:
                                    type: string
                                required:
                                  - address1
                                  - city
                                additionalProperties: false
                              contactInformation:
                                type: object
                                properties:
                                  name:
                                    type: string
                                  phoneNumber:
                                    type: string
                                  faxNumber:
                                    type: string
                                  email:
                                    type: string
                                  phoneExtension:
                                    type: string
                                additionalProperties: false
                              otherIdentifier:
                                type: string
                              secondaryIdentifier:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    qualifier:
                                      type: string
                                    identifier:
                                      type: string
                                    otherIdentifier:
                                      type: string
                                  required:
                                    - qualifier
                                    - identifier
                                  additionalProperties: false
                                minItems: 1
                                maxItems: 20
                            required:
                              - providerType
                            additionalProperties: false
                          purchasedServiceProvider:
                            type: object
                            properties:
                              providerType:
                                type: string
                              npi:
                                type: string
                                pattern: ^\d{10}$
                              stateLicenseNumber:
                                type: string
                              commercialNumber:
                                type: string
                              payerIdentificationNumber:
                                type: string
                              ssn:
                                type: string
                                pattern: ^\d{9}$
                              employerId:
                                type: string
                              locationNumber:
                                type: string
                              employerIdentificationNumber:
                                type: string
                              claimOfficeNumber:
                                type: string
                              naic:
                                type: string
                              providerUpinNumber:
                                type: string
                              taxonomyCode:
                                type: string
                                minLength: 10
                                maxLength: 10
                                pattern: ^[A-Za-z0-9]{10}$
                              firstName:
                                type: string
                              lastName:
                                type: string
                              middleName:
                                type: string
                              suffix:
                                type: string
                              organizationName:
                                type: string
                              address:
                                type: object
                                properties:
                                  address1:
                                    type: string
                                  address2:
                                    type: string
                                  city:
                                    type: string
                                  state:
                                    type: string
                                  postalCode:
                                    type: string
                                  countryCode:
                                    type: string
                                  countrySubDivisionCode:
                                    type: string
                                required:
                                  - address1
                                  - city
                                additionalProperties: false
                              contactInformation:
                                type: object
                                properties:
                                  name:
                                    type: string
                                  phoneNumber:
                                    type: string
                                  faxNumber:
                                    type: string
                                  email:
                                    type: string
                                  phoneExtension:
                                    type: string
                                additionalProperties: false
                              otherIdentifier:
                                type: string
                              secondaryIdentifier:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    qualifier:
                                      type: string
                                    identifier:
                                      type: string
                                    otherIdentifier:
                                      type: string
                                  required:
                                    - qualifier
                                    - identifier
                                  additionalProperties: false
                                minItems: 1
                                maxItems: 20
                            additionalProperties: false
                          serviceFacilityLocation:
                            type: object
                            properties:
                              organizationName:
                                type: string
                              address:
                                type: object
                                properties:
                                  address1:
                                    type: string
                                  address2:
                                    type: string
                                  city:
                                    type: string
                                  state:
                                    type: string
                                  postalCode:
                                    type: string
                                  countryCode:
                                    type: string
                                  countrySubDivisionCode:
                                    type: string
                                required:
                                  - address1
                                  - city
                                additionalProperties: false
                              npi:
                                type: string
                                pattern: ^\d{10}$
                              phoneName:
                                type: string
                              phoneNumber:
                                type: string
                              phoneExtension:
                                type: string
                              secondaryIdentifier:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    qualifier:
                                      type: string
                                    identifier:
                                      type: string
                                    otherIdentifier:
                                      type: string
                                  required:
                                    - qualifier
                                    - identifier
                                  additionalProperties: false
                                minItems: 1
                                maxItems: 3
                            required:
                              - organizationName
                              - address
                            additionalProperties: false
                          supervisingProvider:
                            type: object
                            properties:
                              providerType:
                                type: string
                              npi:
                                type: string
                                pattern: ^\d{10}$
                              ssn:
                                type: string
                                pattern: ^\d{9}$
                              employerId:
                                type: string
                              commercialNumber:
                                type: string
                              locationNumber:
                                type: string
                              payerIdentificationNumber:
                                type: string
                              employerIdentificationNumber:
                                type: string
                              claimOfficeNumber:
                                type: string
                              naic:
                                type: string
                              stateLicenseNumber:
                                type: string
                              providerUpinNumber:
                                type: string
                              taxonomyCode:
                                type: string
                                minLength: 10
                                maxLength: 10
                                pattern: ^[A-Za-z0-9]{10}$
                              firstName:
                                type: string
                              lastName:
                                type: string
                              middleName:
                                type: string
                              suffix:
                                type: string
                              organizationName:
                                type: string
                              address:
                                type: object
                                properties:
                                  address1:
                                    type: string
                                  address2:
                                    type: string
                                  city:
                                    type: string
                                  state:
                                    type: string
                                  postalCode:
                                    type: string
                                  countryCode:
                                    type: string
                                  countrySubDivisionCode:
                                    type: string
                                required:
                                  - address1
                                  - city
                                additionalProperties: false
                              contactInformation:
                                type: object
                                properties:
                                  name:
                                    type: string
                                  phoneNumber:
                                    type: string
[...]
